Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.plaf.windows
Class ExtWindowsLabelUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.LabelUI
              javax.swing.plaf.basic.BasicLabelUI
                  com.sun.java.swing.plaf.windows.WindowsLabelUI
                      com.jgoodies.plaf.windows.ExtWindowsLabelUI

All Implemented Interfaces:
  EventListener, PropertyChangeListener

public final class ExtWindowsLabelUI
extends com.sun.java.swing.plaf.windows.WindowsLabelUI

The JGoodies Windows Look&Feel implementation of `LabelUI`.

It differs from its superclass in that it can replace ugly `Border`s.

Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicLabelUI
`labelUI`

Constructor Summary
`ExtWindowsLabelUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent x)`
`void` | `paint(Graphics g, JComponent c)` Replaces the `Border` if appropriate, then paints.
`protected void` | `uninstallDefaults(JLabel label)` Restores the original `Border`, in case we have replaced it before.

Methods inherited from class com.sun.java.swing.plaf.windows.WindowsLabelUI
`paintDisabledText, paintEnabledText`

Methods inherited from class javax.swing.plaf.basic.BasicLabelUI
`getMaximumSize, getMinimumSize, getPreferredSize, installComponents, installDefaults, installKeyboardActions, installListeners, installUI, layoutCL, propertyChange, uninstallComponents, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtWindowsLabelUI

    public ExtWindowsLabelUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent x)

### paint

    public void paint(Graphics g,
                      JComponent c)

  Replaces the `Border` if appropriate, then paints.

### uninstallDefaults

    protected void uninstallDefaults(JLabel label)

  Restores the original `Border`, in case we have replaced it before.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.